Subject: I-D Action: draft-wadhwa-rtgwg-bng-cups-protocol-requirements-02.txt

From: [email-masked]
Date: Mon, 11 Mar 2019 02:35:04 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Requirements for Protocol between Control and User Plane on BNG
        Authors         : Sanjay Wadhwa
                          Praveen Muley
                          Rajesh Shinde
                          Jonathan Newton
                          Ryan Hoffman
                          Subrat Pani
	Filename        : draft-wadhwa-rtgwg-bng-cups-protocol-requirements-02.txt
	Pages           : 19
	Date            : 2019-03-11

Abstract:
   Traditionally, the BNG provides aggregation of fixed access nodes
   (such as DSLAM and OLTs) over Ethernet and provides subscriber
   management and traffic management functions for residential
   subscribers. The BNG has however evolved to become a multi-access
   edge device that also provides termination of subscribers over
   fixed-wireless and hybrid access. An overall architecture and
   interfaces required between separated control and user-plane for a
   multi-access BNG are described in draft-wadhwa-rtgwg-bng-cups-
   01.txt. This document discusses requirements for protocol between
   subscriber-management control-plane and user-plane for BNG to
   achieve separation.

Contents
   1. Introduction...................................................3
      1.1. Requirements Language.....................................3
   2. Requirements for "CUPS protocol"...............................3
      2.1. State Control Interface Requirements......................5
      2.2. Extensibility.............................................8
      2.3. Scalability and Performance...............................9
      2.4. Transport Protocol.......................................10
      2.5. In-band Control Channel Requirements.....................10
      2.6. Resiliency...............................................12
      2.7. Security.................................................13
   3. "CUPS protocol" candidate.....................................13
   4. Security Considerations.......................................14
   5. Management Interface Requirements.............................14
   6. IANA Considerations...........................................15
   7. References....................................................15
      7.1. Normative References.....................................15
      7.2. Informative References...................................16

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-wadhwa-rtgwg-bng-cups-protocol-requirements/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-wadhwa-rtgwg-bng-cups-protocol-requirements-02
https://datatracker.ietf.org/doc/html/draft-wadhwa-rtgwg-bng-cups-protocol-requirements-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-wadhwa-rtgwg-bng-cups-protocol-requirements-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/